import * as Cheerio from "cheerio";
import * as O from "fp-ts/Option";
export declare const fromDocument: ($: Cheerio.CheerioAPI) => Flags[];
export declare const fromHeader: ($: Cheerio.CheerioAPI) => ($h6: Cheerio.Cheerio<Cheerio.Element>) => {
    identifier: string;
    values: {
        name: string;
        bigint: boolean;
        left: string;
        right: string;
        description: O.Option<string>;
    }[];
};
export declare type Flags = ReturnType<ReturnType<typeof fromHeader>>;
export declare const identifier: (heading: string) => string;
export declare const values: ($: Cheerio.CheerioAPI) => ($table: Cheerio.Cheerio<Cheerio.Element>) => {
    name: string;
    bigint: boolean;
    left: string;
    right: string;
    description: O.Option<string>;
}[];
export declare const value: ($name: Cheerio.Cheerio<Cheerio.Element>, $value: Cheerio.Cheerio<Cheerio.Element>, $description?: Cheerio.Cheerio<Cheerio.Element> | undefined) => O.Option<{
    name: string;
    bigint: boolean;
    left: string;
    right: string;
    description: O.Option<string>;
}>;
