import * as O from "fp-ts/Option";
import * as Rx from "rxjs";
import * as Aliases from "./aliases";
import * as Endpoints from "./endpoints";
export declare const parse: (repoPath: string) => {
    aliases$: Rx.Observable<Aliases.Alias>;
    endpoints$: Rx.Observable<{
        route: string;
        description: O.Option<string>;
        method: string;
        url: string;
        params: O.Option<Endpoints.EndpointParams>;
        response: O.Option<{
            ref: O.Option<string>;
            array: boolean;
        }>;
    }>;
    enums$: Rx.Observable<{
        identifier: string;
        values: {
            name: string;
            value: string;
            description: O.Option<string>;
        }[];
    }>;
    flags$: Rx.Observable<{
        identifier: string;
        values: {
            name: string;
            bigint: boolean;
            left: string;
            right: string;
            description: O.Option<string>;
        }[];
    }>;
    gateway$: Rx.Observable<{
        identifier: string;
        values: {
            name: string;
            type: string;
            description: string;
        }[];
    }>;
    structures$: Rx.Observable<{
        identifier: string;
        fields: {
            name: string;
            optional: boolean;
            type: {
                identifier: string;
                nullable: boolean;
                array: boolean;
                snowflakeMap: boolean;
            };
            description: string;
        }[];
    }>;
};
export declare type ParseResult = ReturnType<typeof parse>;
